/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Outil pour les crations d'objets ne ncessitant qu'un clic  un endroit de la figure
 * sans cliquer sur un objet dj cr
 * @author Yves
 */
package outils;

import mathgraph32.MtgFrame;
import mathgraph32.MtgInternalFrame;


public class OutilPointageClic extends OutilPointage { 
  
  /** Creates a new instance of OutilPointageClic */
  public OutilPointageClic(MtgFrame frameInit) {
    super(frameInit);
  }
  public void mousePressed(java.awt.event.MouseEvent mouseEvent, MtgInternalFrame cadre) {
    frame.outilActif.traiteObjetDesigne(null, mouseEvent.getPoint());
  }  
}
